ASN2FF(1)

NAME
asn2ff - convert ASN.1 biological data to a flat format (old version)

SYNOPSIS
asn2ff [-] [-A X] [-B X] [-C] [-G] [-L F] [-M] [-R] [-V F] [-a filename] [-b] [-d] [-e] [-f b/p/e/s/x/z] [-g] [-h F] [-k F] [-l filename] [-m r/d/s/c/k/l/e/p] [-n F] [-o filename] [-p F] [-q] [-r filename] [-s] [-t] [-v F] [-w] [-y] [-z]

DESCRIPTION
asn2ff converts descriptions of biological sequences from NCBI's ASN.1 format to one of several flat-file formats. This program is built around a deprecated interface; please use asn2gb(1) instead.

OPTIONS
A summary of options is included below.

-   Print usage message

-A X
    Show region starting at X (default is 0)

-B X
    Show region ending at X (default is last position)

-C  Show Bankit comments

-G  Output is one top bioseq only in genome view

-L F
    Use old (pre-Genbank 127.0) LOCUS line format

-M  Output is map bioseqs only

-R  For GenBank Release

-V F
    Don't use VERSION

-a filename
    Filename for ASN.1 input (default is stdin)

-b  Input asnfile in binary mode

-d  Use SeqMgr indexing

-e  Input is a Seq-entry

-f b/p/e/s/x/z
    Output Format:
    b   GenBank (default)
    p   GenPept
    e   EMBL
    s   PseudoEMBL
    x   GenBankSelect
    z   EMBLPEPT

-g  Show gi numbers

-h F
    Hide sequence

-k F
    Don't use complex sets (phy-set,mut-set, pop-set)

-l filename
    Log errors to filename

-m r/d/s/c/k/l/e/p
    Output mode:
    r   release (default)
    d   dump
    s   Sequin
    c   Chromoscope
    k   dir-sub-debug
    l   dir-sub
    e   revise
    p   partial report

-n F
    Strict gene_binding

-o filename
    Output Filename (default is stdout)

-p F
    Omit new gene features

-q  Output is one top bioseq only

-r filename
    Output error logfile (default is stderr)

-s  Input is a Seq-submit

-t  Show verbose message text

-v F
    Suppress error messages

-w  Use HTML output format

-y  Print help format only

-z  New algorithm for orgnames

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asn2all(1), asn2asn(1), asn2fsa(1), asn2gb(1), asn2xml(1), asndhuff(1).